発注対象店舗取得
GET
/purchase_orders/{purchase_order_id}/stores
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/purchase_orders/7/stores?fields=storageInfoDeliveryId%2CstorageStoreId&sort=storageInfoDeliveryId&limit=10&page=2&storage_store_id=1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/purchase_orders/7/stores?fields=storageInfoDeliveryId%2CstorageStoreId&sort=storageInfoDeliveryId&limit=10&page=2&storage_store_id=1'発注対象店舗情報を取得します。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”purchase_order_id
required
string
発注ID
Example
7Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
Example
storageInfoDeliveryId,storageStoreIdsort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
- storageInfoDeliveryId:発注配送店舗ID
- storageStoreId:配送店舗ID
- storageExpectedDateFrom:入荷予定日From:[YYYY-MM-DD]
- storageExpectedDateTo:入荷予定日To:[YYYY-MM-DD]
- updDateTime:更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
Example
storageInfoDeliveryIdlimit
integer
上限数
Example
10page
integer
ページ
Example
2storage_store_id
string
配送店舗ID
Example
1Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
storageInfoDeliveryId
発注配送店舗ID
string
storageInfoId
発注ID
string
storageStoreId
配送店舗ID
string
storageExpectedDateFrom
入荷予定日From:[YYYY-MM-DD]
string
storageExpectedDateTo
入荷予定日To:[YYYY-MM-DD]
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "storageInfoDeliveryId": "7", "storageInfoId": "7", "storageStoreId": "1", "storageExpectedDateFrom": "2025-01-01", "storageExpectedDateTo": "2025-01-02", "insDateTime": "2025-01-01T00:00:00+09:00", "updDateTime": "2025-01-01T00:00:00+09:00" }]指定した発注データが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定した発注データが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}